Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.security
Interface Decryptor

All Superinterfaces
  BusinessSmartComponent, javax.ejb.EJBObject, Remote, Serializable, Session

    public interface Decryptor

extends Session

The `Decryptor` is a Stateless Session EJB that provides decryption services.
The decryptor needs that the implementation it uses to provide its services be in a consistent state before it can provide decryption services. If decryption services are requested of the `Decryptor` before the implementation is appropriately initialized, it throws an `InconsistentStateException`.

See Also
  `DecryptorHome`, `DecryptorImpl`

Method Summary
`String` | `decrypt(String dataToDecrypt)` Takes a string of data to decrypt and returns a string of plain text.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### decrypt

    String decrypt(String dataToDecrypt)
                   throws RemoteException,
                          InconsistentStateException

  Takes a string of data to decrypt and returns a string of plain text.

  Parameters
    `dataToDecrypt` - The encrypted string that needs to be decrypted.
  Returns
    a string of decrypted data.
  Throws
    `InconsistentStateException` - if the service implementation is not appropriately initialized.
    `RemoteException` - if there is a remote error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.